<?php
/******************************************************************************/
// Vključevanje potrebnih knjižnic v posameznem modulu (includano preko settings.php
// Autho: Dave @ zabec.net
// Date: 2008
/******************************************************************************/

//zaradi kompatibilnostmi s starimi verzijami
if(isset($vsebina_polja)) {
	$mod_settings['listing_db_polja'] = $vsebina_polja;
}
if(isset($naslov_polja)) {
	$mod_settings['listing_show_polja'] = $naslov_polja;
}

//vključimo datoteko do custom funkcij če obstajaja
if($ajax) {
	$pot = $path.$path_act;
}
else {
	$pot = $modul_selected.$path_act;
}

if(file_exists($pot."/custom.php")) { 
	include_once($pot."/custom.php");
}

/* vklučimo custom funkcijo za prepis nastavitev če obstaja */
if(function_exists("prepisi_nastavitve")){
	prepisi_nastavitve();
}

/* poberemo uporabniške nastavitve */
$usrresult = $db->query("SELECT num_results FROM core_uporabniki WHERE id = '$_SESSION[id]'");
$usrr = $usrresult->fetch();
$user_settings['num_results'] = $usrr['num_results'];

require($ajax."sys/modul_lib/lib_mod_general.php");

//če gre za osnutek (klicano preko ajaxa)
if($_POST['osnutek'] == "ok") {
	$clean['act'] = "osnutek";
}
switch($clean['act']) {
	case "view":
		require($ajax."sys/modul_lib/lib_listing.php");
		break;
	case "osnutek":
		$active_osnutek = true;
		require($ajax."sys/modul_lib/lib_listing.php");
		break;
	default:
		require($ajax."sys/modul_lib/lib_listing.php");
		break;
}

?>